summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure147
1 files changed, 145 insertions, 2 deletions
diff --git a/configure b/configure
index 19cc20c84..f4662e922 100755
--- a/configure
+++ b/configure
@@ -203,7 +203,7 @@ if as_func_ret_failure; then
203 echo as_func_ret_failure succeeded. 203 echo as_func_ret_failure succeeded.
204fi 204fi
205 205
206if (set x; as_func_ret_success y && test x = \"\$1\" ); then 206if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
207 : 207 :
208else 208else
209 exitcode=1 209 exitcode=1
@@ -407,7 +407,7 @@ if as_func_ret_failure; then
407 echo as_func_ret_failure succeeded. 407 echo as_func_ret_failure succeeded.
408fi 408fi
409 409
410if (set x; as_func_ret_success y && test x = \"\$1\" ); then 410if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
411 : 411 :
412else 412else
413 exitcode=1 413 exitcode=1
@@ -7367,6 +7367,117 @@ _ACEOF
7367 7367
7368fi 7368fi
7369 7369
7370 { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5
7371echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; }
7372 cat >conftest.$ac_ext <<_ACEOF
7373/* confdefs.h. */
7374_ACEOF
7375cat confdefs.h >>conftest.$ac_ext
7376cat >>conftest.$ac_ext <<_ACEOF
7377/* end confdefs.h. */
7378#include <Security/AuthSession.h>
7379int
7380main ()
7381{
7382SessionCreate(0, 0);
7383 ;
7384 return 0;
7385}
7386_ACEOF
7387rm -f conftest.$ac_objext
7388if { (ac_try="$ac_compile"
7389case "(($ac_try" in
7390 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7391 *) ac_try_echo=$ac_try;;
7392esac
7393eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7394 (eval "$ac_compile") 2>conftest.er1
7395 ac_status=$?
7396 grep -v '^ *+' conftest.er1 >conftest.err
7397 rm -f conftest.er1
7398 cat conftest.err >&5
7399 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7400 (exit $ac_status); } && {
7401 test -z "$ac_c_werror_flag" ||
7402 test ! -s conftest.err
7403 } && test -s conftest.$ac_objext; then
7404 ac_cv_use_security_session_api="yes"
7405
7406cat >>confdefs.h <<\_ACEOF
7407#define USE_SECURITY_SESSION_API 1
7408_ACEOF
7409
7410 LIBS="$LIBS -framework Security"
7411 { echo "$as_me:$LINENO: result: yes" >&5
7412echo "${ECHO_T}yes" >&6; }
7413else
7414 echo "$as_me: failed program was:" >&5
7415sed 's/^/| /' conftest.$ac_ext >&5
7416
7417 ac_cv_use_security_session_api="no"
7418 { echo "$as_me:$LINENO: result: no" >&5
7419echo "${ECHO_T}no" >&6; }
7420fi
7421
7422rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7423 { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5
7424echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; }
7425 cat >conftest.$ac_ext <<_ACEOF
7426/* confdefs.h. */
7427_ACEOF
7428cat confdefs.h >>conftest.$ac_ext
7429cat >>conftest.$ac_ext <<_ACEOF
7430/* end confdefs.h. */
7431#include <Kerberos/Kerberos.h>
7432int
7433main ()
7434{
7435cc_context_t c;
7436 (void) cc_initialize (&c, 0, NULL, NULL);
7437 ;
7438 return 0;
7439}
7440_ACEOF
7441rm -f conftest.$ac_objext
7442if { (ac_try="$ac_compile"
7443case "(($ac_try" in
7444 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7445 *) ac_try_echo=$ac_try;;
7446esac
7447eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7448 (eval "$ac_compile") 2>conftest.er1
7449 ac_status=$?
7450 grep -v '^ *+' conftest.er1 >conftest.err
7451 rm -f conftest.er1
7452 cat conftest.err >&5
7453 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7454 (exit $ac_status); } && {
7455 test -z "$ac_c_werror_flag" ||
7456 test ! -s conftest.err
7457 } && test -s conftest.$ac_objext; then
7458
7459cat >>confdefs.h <<\_ACEOF
7460#define USE_CCAPI 1
7461_ACEOF
7462
7463 LIBS="$LIBS -framework Security"
7464 { echo "$as_me:$LINENO: result: yes" >&5
7465echo "${ECHO_T}yes" >&6; }
7466 if test "x$ac_cv_use_security_session_api" = "xno"; then
7467 { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5
7468echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;}
7469 { (exit 1); exit 1; }; }
7470 fi
7471else
7472 echo "$as_me: failed program was:" >&5
7473sed 's/^/| /' conftest.$ac_ext >&5
7474
7475 { echo "$as_me:$LINENO: result: no" >&5
7476echo "${ECHO_T}no" >&6; }
7477
7478fi
7479
7480rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7370 ;; 7481 ;;
7371*-*-dragonfly*) 7482*-*-dragonfly*)
7372 SSHDLIBS="$SSHDLIBS -lcrypt" 7483 SSHDLIBS="$SSHDLIBS -lcrypt"
@@ -7681,6 +7792,31 @@ _ACEOF
7681_ACEOF 7792_ACEOF
7682 7793
7683 ;; 7794 ;;
7795*-*-k*bsd*-gnu)
7796 check_for_libcrypt_later=1
7797 cat >>confdefs.h <<\_ACEOF
7798#define PAM_TTY_KLUDGE 1
7799_ACEOF
7800
7801 cat >>confdefs.h <<\_ACEOF
7802#define LOCKED_PASSWD_PREFIX "!"
7803_ACEOF
7804
7805 cat >>confdefs.h <<\_ACEOF
7806#define SPT_TYPE SPT_REUSEARGV
7807_ACEOF
7808
7809
7810cat >>confdefs.h <<\_ACEOF
7811#define _PATH_BTMP "/var/log/btmp"
7812_ACEOF
7813
7814
7815cat >>confdefs.h <<\_ACEOF
7816#define USE_BTMP 1
7817_ACEOF
7818
7819 ;;
7684*-*-linux*) 7820*-*-linux*)
7685 no_dev_ptmx=1 7821 no_dev_ptmx=1
7686 check_for_libcrypt_later=1 7822 check_for_libcrypt_later=1
@@ -7886,6 +8022,11 @@ cat >>confdefs.h <<\_ACEOF
7886_ACEOF 8022_ACEOF
7887 8023
7888 fi 8024 fi
8025
8026cat >>confdefs.h <<\_ACEOF
8027#define OOM_ADJUST 1
8028_ACEOF
8029
7889 ;; 8030 ;;
7890mips-sony-bsd|mips-sony-newsos4) 8031mips-sony-bsd|mips-sony-newsos4)
7891 8032
@@ -26055,6 +26196,8 @@ fi
26055echo "${ECHO_T}$ac_cv_lib_selinux_setexeccon" >&6; } 26196echo "${ECHO_T}$ac_cv_lib_selinux_setexeccon" >&6; }
26056if test $ac_cv_lib_selinux_setexeccon = yes; then 26197if test $ac_cv_lib_selinux_setexeccon = yes; then
26057 LIBSELINUX="-lselinux" 26198 LIBSELINUX="-lselinux"
26199 LIBS="$LIBS -lselinux"
26200
26058else 26201else
26059 { { echo "$as_me:$LINENO: error: SELinux support requires libselinux library" >&5 26202 { { echo "$as_me:$LINENO: error: SELinux support requires libselinux library" >&5
26060echo "$as_me: error: SELinux support requires libselinux library" >&2;} 26203echo "$as_me: error: SELinux support requires libselinux library" >&2;}